Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057409 - Migrate guest with Error starts the paused guest.
Summary: Migrate guest with Error starts the paused guest.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Kletzander
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1057407
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 02:57 UTC by hyao@redhat.com
Modified: 2014-04-04 21:26 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1057407
Environment:
Last Closed: 2014-04-04 21:26:48 UTC


Attachments (Terms of Use)

Description hyao@redhat.com 2014-01-24 02:57:01 UTC
Clone the bug due to reproduce it on rhel6.5 
# rpm -qa libvirt
libvirt-0.10.2-29.el6.x86_64

+++ This bug was initially created as a clone of Bug #1057407 +++

Description of problem:
Migrate guest with Error starts the paused guest.

Version-Release number of selected component (if applicable):
# rpm -qa libvirt
libvirt-1.1.1-18.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
Use the tree http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL-7.0-20140116.1/compose/Server/x86_64/os/ to get two hosts A and B.
Prepare the guest on nfs pool do the following steps on host A and B.
1. On host A:
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 3     mig2                           running
 
Migrate the guest with --suspend option from A to B.
[root@4-116 ~]# virsh migrate mig2 --live qemu+ssh://hostb/system --verbose --suspend
root@hostb's password:
Migration: [100 %]
[root@4-116 ~]# virsh list --all
 Id    Name                           State
----------------------------------------------------
 -     mig2                           shut off

Starts the guest after the migration is done.
[root@4-116 ~]# virsh start mig2  ==> this step is not common.
Domain mig2 started


2. On hostB.

# virsh list --all
 Id    Name                           State
----------------------------------------------------
 10    mig2                           paused

Try to migrate the guest back from B to A with --suspend option
[root@7-204 ~]# virsh migrate mig2 --live qemu+ssh://hosta/system --verbose --suspend
root@hosta's password:
error: Requested operation is not valid: domain is already active as 'mig2' ===> it's right we got the error here.

[root@7-204 ~]# virsh list --all
 Id    Name                           State
----------------------------------------------------
 10    mig2                           running   ==> it doesn't make sense that the error turn on the paused guest.

Comment 2 Martin Kletzander 2014-03-07 08:37:52 UTC
Fixed upstream with v1.2.1-136-g440a1aa:

commit 440a1aa508f7abec635a035158e9b37e179f2db2
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Thu Feb 6 14:30:59 2014 +0100

    qemu: keep pre-migration domain state after failed migration

Comment 5 RHEL Product and Program Management 2014-04-04 21:26:48 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.